<?php
ini_set('display_errors', 0);
require_once './Control/ControlOpIdioma.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (!isset($lang))
{
	$lang = 'pt';
} else 
{
	if ($lang == 'undefined')
	{
		$lang = 'pt';
	}
}
$controlOpIdioma = new ControlOpIdioma();
if ($acao == 'inserir')
{
        echo 'Novo Registro...';
        $pk = '';
	$idioma = new Idioma();
} else
{
	$idioma = $controlOpIdioma->pegarUmIdioma($pk);
}
$arquivoGrid = 'adm_traducaoGrid.php';
?>
<div id="alertTraducao" class="alert warning">Cuidado! Você pode deixar seu site ilegível, ou até fora do ar!<br/>Se você não tem certeza do que você está fazendo, não faça!</div>
<form name="frm" id="frm" action="adm_traducaoCMD.php" method="post">
    <input id="hacao" name="acao" type="hidden" value="<?php echo $acao?>">
    <input id="arqFrm" name="arqFrm" type="hidden" value="<?php echo end(explode("/", $_SERVER['PHP_SELF']))?>">
	<fieldset>
		<label>Traduções</label>
		<section><label for="pk">ID</label>
                    <div><input  readonly="true" type="text" id="pk" name="pk" value="<?php echo $idioma->getIdiomaid(); ?>" placeholder="Este campo é gerido de forma automática."></div>
		</section>
                <section><label for="txtID">Identificador</label>
                    <div><input type="text" id="txtID" name="txtID" required value="<?php echo $idioma->getId(); ?>"></div>
		</section>
                <section><label for="txtLang">Lang</label>
                    <div><input type="text" id="txtLang" name="txtLang" required value="<?php echo $idioma->getLang(); ?>"></div>
		</section>
                <section><label for="txtTexto">Texto</label>
                    <div><textarea id="txtTexto" name="txtTexto" class="html" rows="20" cols="100%"><?php echo $idioma->getTexto(); ?></textarea></div>
                </section>
                <section>
                    <div><button onclick="mostrarArquivo('<?php echo $arquivoGrid; ?>','#dados');" >Cancelar</button><button id="salvar" class="submit" name="submitbuttonname" value="submitbuttonvalue">Salvar</button></div>
		</section>
	</fieldset>
</form>
<?php
      FormAjax::PrepararFormAjax('#frm');
?>
<script>
    $('#alertTraducao').wl_Alert();
</script>